<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$fecha=date('Y-m-d');
$hora=date('H:i:s');
$detalle=mb_strtoupper($_POST['detalle']);

$can=mysqli_query($con,"SELECT MAX(aju_id)as aju_id FROM ajuste_inventario") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$aju_id=$dato['aju_id']+1;

$can1=mysqli_query($con,"SELECT MAX(aju_n_ajuste)as aju_n_ajuste FROM ajuste_inventario where empresa='$empresa'") or die(mysqli_error($con));
$dato1=mysqli_fetch_array($can1); 
$aju_n_ajuste=$dato1['aju_n_ajuste']+1;

$can3=mysqli_query($con,"SELECT * FROM ajuste_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$result = mysqli_num_rows($can3);
if($result == 0)
{
    echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>La lista de Articulos esta vacia </strong> 
        </div>';
        exit;
}
else
{
    $si_global_total = 0;
    $no_global_total = 0;
    while ($row=mysqli_fetch_array($can3))
    {
        $trat_id=$row["ajud_id"];
        $trat_cantidad=$row['ajud_cantidad'];
        $trat_art_id=$row['ajud_art_id'];
        $ajud_tipo=$row['ajud_tipo'];

        if ($ajud_tipo=='Salida') 
        {
            $si=0;
            $no=0;
            $sqls1=mysqli_query($con,"SELECT count(*) as contandor_seriales from  seriales_articulos where articulos_art_id='$trat_art_id' AND estado='sin vender'");
            $rows1=mysqli_fetch_array($sqls1);
           
            $contador=$rows1['contandor_seriales'];
            if ($contador>0) 
            {
                $sqls2=mysqli_query($con,"SELECT count(*) as contandor_seriales_tem from seriales_ajus_temp where ajuste_detalle_id ='$trat_id'");
                $rows2=mysqli_fetch_array($sqls2);
                $contador_tem=$rows2['contandor_seriales_tem'];

                if ($contador_tem==$trat_cantidad) 
                {
                    $sqls3=mysqli_query($con,"SELECT ser_aju from seriales_ajus_temp where ajuste_detalle_id='$trat_id'");
                    while( $rows3=mysqli_fetch_array($sqls3))
                    {
                        $ser_codigo=$rows3['ser_aju'];
                        $sqls4=mysqli_query($con,"SELECT * from seriales_articulos where se_codigo='$ser_codigo' and articulos_art_id='$trat_art_id'");
                        $rows4=mysqli_fetch_array($sqls4);
                        if ($rows4>0)
                        {
                            $si+=1;
                        }
                        else
                        {
                             $no+=1;
                        }
                    }
                }
                else
                {
                    $no+=1;
                }
            }
            else
            {
                $si+=1;
            }

            $si_global_total+=$si;
            $no_global_total+=$no;

            if ($no_global_total > 0 && $restrincion_seriales == 'si') 
            {
                echo "<script>alert('Debe verificar seriales para los ajustes de salida');</script>";
                exit;
            }
        }
    }
}



$registros=mysqli_query($con,"INSERT into ajuste_inventario (aju_id,aju_n_ajuste,aju_fecha,aju_hora,aju_detalle,aju_usuario,bodega,sucursal,empresa)
VALUES ('$aju_id','$aju_n_ajuste','$fecha','$hora','$detalle','$usu_id','$bod_id','$sucursal','$empresa')") or  die(mysqli_error($con));

$can4=mysqli_query($con,"SELECT * FROM ajuste_detalle_temp where usuario='$usu_id' and empresa='$empresa' ") or die(mysqli_error($con));  
while($dato4=mysqli_fetch_array($can4))
{   
    $ajud_id=$dato4['ajud_id']; 
    $art_id_bod=$dato4['art_id_bod'];
    $ajud_art_id=$dato4['ajud_art_id'];
    $ajud_referencia=$dato4['ajud_referencia'];
    $ajud_nombre=$dato4['ajud_nombre'];            
    $ajud_cantidad=$dato4['ajud_cantidad'];            
    $ajud_tipo=$dato4['ajud_tipo'];
    $detallado=$dato4['detallado'];

    $can_art=mysqli_query($con,"SELECT * from articulos where art_id ='$ajud_art_id'") or die(mysqli_error($con)); 
    $dato_art=mysqli_fetch_array($can_art);
    $art_precio_costo=$dato_art['art_precio_costo'];

    $can5=mysqli_query($con,"INSERT INTO ajuste_detalle (art_id_bod,ajud_art_id,ajud_referencia,ajud_nombre,ajud_cantidad,ajud_costo,ajud_tipo,detallado,empresa,ajuste_inventario_aju_id) 
    VALUES ('$art_id_bod','$ajud_art_id','$ajud_referencia','$ajud_nombre','$ajud_cantidad','$art_precio_costo','$ajud_tipo','$detallado','$empresa','$aju_id')") or die(mysqli_error($con)); 

    $can6=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$ajud_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));  
    while($dato6=mysqli_fetch_array($can6))
    {
        $articulos_art_id=$dato6['articulos_art_id'];            
        $art_cantidad=$dato6['art_cantidad'];
        $suma=$art_cantidad+$ajud_cantidad;
        $resta=$art_cantidad-$ajud_cantidad;
        if($ajud_tipo=='Salida')
        {
            $registros2=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_id_bod' and articulos_art_id='$ajud_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));

            $ser=mysqli_query($con, "SELECT * FROM seriales_ajus_temp WHERE ajuste_detalle_id='$ajud_id'") or die(mysqli_error($con));
            while ($seraj=mysqli_fetch_array($ser)) 
            {
                $ser_aju_id=$seraj['ser_aju_id'];
                $ser_aju=$seraj['ser_aju'];
                $ajudt_art_id=$seraj['ajudt_art_id'];

                $regser=mysqli_query($con,"UPDATE seriales_articulos SET estado='ajuste' WHERE articulos_art_id='$ajudt_art_id' AND se_codigo='$ser_aju'") or die(mysqli_error($con));
               
                $registros3=mysqli_query($con,"INSERT INTO seriales_ajuste (seraju_articulo_art_id, seraju_cod,seraju_estado,ajuste_id) VALUES ('$ajudt_art_id','$ser_aju','SALIDA','$aju_id')") or die(mysqli_error($con));

                $sql=mysqli_query($con,"DELETE FROM seriales_ajus_temp WHERE ser_aju_id='$ser_aju_id'") or die(mysqli_error($con));
            }
            include('descontar_kardex.php'); 
        }
        else 
        {
            $registros4=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$ajud_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));

            $can8=mysqli_query($con,"INSERT INTO kardex_compra (kar_com_id,kar_tipo,kar_fecha,kar_fecha_vencimiento,art_id_bod,kar_art_id,kar_cantidad,kar_cantidad_v,kar_precio,bodega,sucursal,empresa) 
             VALUES ('$aju_id','ajuste','$fecha','$fecha','$art_id_bod','$ajud_art_id','$ajud_cantidad','$ajud_cantidad','$art_precio_costo','$bod_id','$sucursal','$empresa')") or die(mysqli_error($con));  

            ///// SERIALES /////
            $ser=mysqli_query($con,"SELECT * FROM seriales_ajus_temp WHERE ajuste_detalle_id='$ajud_id'") or die(mysqli_error($con));
            if ($ser) 
            {
                while ($seraj=mysqli_fetch_array($ser)) 
                {
                    $ser_aju_id=$seraj['ser_aju_id'];
                    $ser_aju=$seraj['ser_aju'];
                    $ajudt_art_id=$seraj['ajudt_art_id'];
                    
                    $can10=mysqli_query($con,"INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) 
                    VALUES ('$ser_aju','sin vender','$ajudt_art_id')") or die(mysqli_error($con));  

                    $registros=mysqli_query($con,"INSERT INTO seriales_ajuste (seraju_articulo_art_id, seraju_cod,seraju_estado,ajuste_id) VALUES ('$ajudt_art_id','$ser_aju','ENTRADA','$aju_id')") or die(mysqli_error($con));

                    $sql=mysqli_query($con, "DELETE FROM seriales_ajus_temp WHERE ser_aju_id='$ser_aju_id'") or die(mysqli_error($con));
                }
            }
        } 
    }
}
 $borrar=mysqli_query($con,"DELETE FROM ajuste_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
    echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Ajuste de Inventario!</strong> Guardado correctamente.
    </div>'; 
?>